<form class="{{cssClass}}" autocomplete="off">

    {{!-- Character Sheet Sections --}}
    <div class="sheet-section-container">

        <div class="sheet-fixed-container">
            <div class="character-profile-container">
                <div class="profile-img-container">
                    <img class="profile-img" src="{{actor.img}}" data-edit="img" title="{{actor.name}}">
                    <div class="status-column">
                        <div class="vertical-flex-container">
                            <img id="wound-icon" src="icons/skills/wounds/blood-drip-droplet-red.webp" title="Wounded {{data.woundPenalty}}">
                            <img id="fatigue-icon" src="icons/magic/control/debuff-energy-hold-green.webp" title="Fatigued {{data.fatigue.penalty}}">
                            <img id="enc-icon" src="icons/containers/bags/pack-leather-brown.webp" title="{{data.carry_rating.label}} {{data.carry_rating.penalty}}">
                        </div>
                    </div>
                </div>
                <nav class="sheet-tabs tabs" data-group="primary">
                    <a class="item" data-tab="merchant">Marchant</a>
                    <a class="item" data-tab="core">Info</a>
                    <a class="item" data-tab="abilities">Abilités</a>
                </nav>
                <div>
                    <h1 class="charname"><input type="text" name="name" value="{{actor.name}}" placeholder="Name"></h1>
                </div>
            </div>
            <div class="fixed-data-container">
                <div class="merchant-resources">
                    <div class="merchant-attribute-container">
                        <div>Modifieur Prix</div>
                        <div class="merchant-controls-container">
                            <div id="priceModifierBox" title="Price Modifer adjusts costs of all merchant's items">
                                <div>
                                    <label id="merchantPriceValue">{{data.priceMod}}%</label>
                                </div>
                            </div>
                            <div class="resourceButton">
                                <i class="fas fa-angle-up fa-xs increasePriceMod"></i>
                                <i class="fas fa-angle-down fa-xs decreasePriceMod"></i>
                            </div>
                        </div>
                    </div>
                    <div class="merchant-attribute-container">
                        <div><i class="fas fa-balance-scale wealthCalc"></i> Argent</div>
                        <div class="merchant-controls-container">
                            <input type="number" name="data.wealth" value="{{data.wealth}}">
                        </div>
                    </div>
                </div>

                <div class="characteristics-container">
                    <h2>
                        <button type="button" class="setBaseCharacteristics">Set</button>
                        <div>Characteristiques</div>
                    </h2>
                    <div class="characteristic-entry-container">
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.str.favored" {{checked data.characteristics.str.favored}}>
                            <div id="str" name="Strength" class="characteristic-roll styled-font rollable">Force</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.str.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.agi.favored" {{checked data.characteristics.agi.favored}}>
                            <div id="agi" name="Agility" class="characteristic-roll styled-font rollable">Agilité</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.agi.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.int.favored" {{checked data.characteristics.int.favored}}>
                            <div id="int" name="Intelligence" class="characteristic-roll styled-font rollable">Intelligence</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.int.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.prc.favored" {{checked data.characteristics.prc.favored}}>
                            <div id="prc" name="Perception" class="characteristic-roll styled-font rollable">Perception</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.prc.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.prs.favored" {{checked data.characteristics.prs.favored}}>
                            <div id="prs" name="Personality" class="characteristic-roll styled-font rollable">Social</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.prs.total}}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <section class="sheet-body">
            <div class="tab merchant" data-group="primary" data-tab="merchant">
                <div class="tabContainer">

                    <h2 class="store-name">
                        <input type="text" name="data.storeName" value="{{data.storeName}}" placeholder="Store Name">
                    </h2>

                    <div class="combat-button-container">
                        <div class="combat-button professions-roll" name="Commerce" id="commerce">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.skills.commerce.tn}}</div>
                                <div class="combat-button-label">Commerce</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Social" id="social">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.professions.social}}</div>
                                <div class="combat-button-label">Social</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Observe" id="observe">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.professions.observe}}</div>
                                <div class="combat-button-label">Observation</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Knowledge" id="knowledge">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.professions.knowledge}}</div>
                                <div class="combat-button-label">Connaissance</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Magic" id="magic">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.professions.magic}}</div>
                                <div class="combat-button-label">Magie</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Evade" id="evade">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.professions.evade}}</div>
                                <div class="combat-button-label">Evasion</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Physical" id="physical">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.professions.physical}}</div>
                                <div class="combat-button-label">Physique</div>
                            </div>
                        </div>
                    </div>

                    <table class="merchant-item-list">
                        <thead>
                            <tr>
                                <th>Acheter</th>
                                <th class="item-create merchant-item-name-cell" id="createSelect">+ Item</th>
                                <th>
                                    <select id="itemFilter">
                                        <option>Tout</option>
                                    </select>
                                </th>
                                <th>PDS</th>
                                <th>QTE</th>
                                <th><i class="fas fa-trash"></i></th>
                            </tr>
                        </thead>
                        <tbody id="merchantItemList">
                            {{#each actor.data.merchantItem as |item id|}}
                            <tr class="item active" data-item-id="{{item._id}}" data-item-type="{{item.type}}">
                                <td>
                                    <div class="flex-container">
                                        <a class="buyButton" title="Buy Item for {{item.data.modPrice}}">
                                            <i class="fas fa-coins"></i>
                                        </a>
                                        <div>{{item.data.modPrice}}</div>
                                    </div>
                                </td>
                                <td>
                                    <div class="tableItemNameCell">
                                        <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                        <div class="item-name">{{item.name}}</div>
                                    </div>
                                </td>
                                <td>{{item.type}}</td>
                                <td>{{item.data.enc}}</td>
                                <td>
                                    <div class="qty-controls">
                                        <button type="button" class="minusQty plusQty" title="Click to increase, right click to decrease">
                                            <div>{{item.data.quantity}}</div>
                                        </button>
                                    </div>
                                </td>
                                <td>
                                    <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                </td>
                            </tr>
                            {{/each}}
                        </tbody>
                    </table>
                </div>
            </div>

            <div class="tab core" data-group="primary" data-tab="core">
                <div class="tabContainer">
                    <div class="about-buttons">
                        <div class="npc-button-stats">
                            <div>
                                <div class="styled-font">Energie d'Ame</div>
                                <input type="text" name="data.soul_energy" placeholder="Soul Energy" value="{{data.soul_energy}}">
                            </div>
                            <div>
                                <div class="styled-font">Race</div>
                                <input type="text" placeholder="Race" value="{{data.race}}">
                            </div>
                            <div>
                                <div class="styled-font">Menance</div>
                                <select name="data.threat" data-type="String">
                                    {{#select actor.data.threat}}
                                    {{#each actor.data.threatCategory as |threatCategory key|}}
                                    <option value="{{key}}">{{threatCategory}}</option> 
                                    {{/each}} {{/select}}
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="skillContainer">
                        <h2 class="headerWithButton">
                            <label>Professions</label>
                        </h2>
                        <ul class="skillList">
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Combat" id="combat"></i>
                                    <img class="item-img" src="icons/skills/melee/weapons-crossed-swords-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">Combat</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.combat" value="{{data.professions.combat}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Evade" id="evade"></i>
                                    <img class="item-img" src="icons/skills/movement/arrow-upward-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">Evasion</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.evade" value="{{data.professions.evade}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Knowledge" id="knowledge"></i>
                                    <img class="item-img" src="icons/skills/trades/academics-study-reading-book.webp" title="Send to Chat"/>
                                    <div class="skill-name">Connaissance</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.knowledge" value="{{data.professions.knowledge}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Magic" id="magic"></i>
                                    <img class="item-img" src="icons/sundries/books/book-open-purple.webp" title="Send to Chat"/>
                                    <div class="skill-name">Magie</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.magic" value="{{data.professions.magic}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Observe" id="observe"></i>
                                    <img class="item-img" src="icons/magic/perception/eye-ringed-green.webp" title="Send to Chat"/>
                                    <div class="skill-name">Observation</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.observe" value="{{data.professions.observe}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Physical" id="physical"></i>
                                    <img class="item-img" src="icons/skills/melee/unarmed-punch-fist.webp" title="Send to Chat"/>
                                    <div class="skill-name">Physique</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.physical" value="{{data.professions.physical}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Social" id="social"></i>
                                    <img class="item-img" src="icons/skills/social/diplomacy-peace-alliance.webp" title="Send to Chat"/>
                                    <div class="skill-name">Social</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.social" value="{{data.professions.social}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Stealth" id="stealth"></i>
                                    <img class="item-img" src="systems/deadend-d100-FR/images/Icons/invisible.webp" title="Send to Chat"/>
                                    <div class="skill-name">Furtivité</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.stealth" value="{{data.professions.stealth}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="{{data.skills.commerce.specialization}}" id="commerce"></i>
                                    <img class="item-img" src="icons/skills/social/trading-justice-scale-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">
                                        <div class="skill-name">Commerce</div>
                                    </div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.skills.commerce.tn" value="{{data.skills.commerce.tn}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="{{data.skills.profession1.specialization}}" id="profession1"></i>
                                    <img class="item-img" src="icons/skills/social/trading-justice-scale-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">
                                        <input type="text" placeholder="Profession 1" name="data.skills.profession1.specialization" value="{{data.skills.profession1.specialization}}">
                                    </div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.skills.profession1.tn" value="{{data.skills.profession1.tn}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="{{data.skills.profession2.specialization}}" id="profession2"></i>
                                    <img class="item-img" src="icons/skills/social/trading-justice-scale-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">
                                        <input type="text" placeholder="Profession 2" name="data.skills.profession2.specialization" value="{{data.skills.profession2.specialization}}">
                                    </div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.skills.profession2.tn" value="{{data.skills.profession2.tn}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="{{data.skills.profession3.specialization}}" id="profession3"></i>
                                    <img class="item-img" src="icons/skills/social/trading-justice-scale-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">
                                        <input type="text" placeholder="Profession 3" name="data.skills.profession3.specialization" value="{{data.skills.profession3.specialization}}">
                                    </div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.skills.profession3.tn" value="{{data.skills.profession3.tn}}"/>%</div>
                                </div>
                            </li>
                        </ul>
                    </div>

                    <div class="two-column-flex-container">
                        <div class="languageContainer">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="language">+</button>
                                <label>Langues</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.data.language as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                        <div class="factionContainer">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="faction">+</button>
                                <label>Factions</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.data.faction as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                    </div> 
                    <div class="bioPage">
                        <h2>Biographie</h2>
                        <div class="contentContainer">
                            {{editor content=data.bio target="data.bio" button=true owner=owner editable=editable}}
                        </div>
                    </div>

                </div>
            </div>

            <div class="tab abilities" data-group="primary" data-tab="abilities">
                <div class="three-column-flex-container">
                    <div class="trait-container">
                        <h2 class="headerWithButton">
                            <button type="button" class="item-create" id="trait">+</button>
                            <label>Effet Passif</label>
                        </h2>
                        <ol class="single-column-list">
                            {{#each actor.data.trait as |item id|}}
                                <li class="item" data-item-id="{{item._id}}">
                                    <div class="itemInfo">
                                        <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                        <div class="item-name">{{item.name}}</div>
                                    </div>
                                    <div class="item-controls">
                                        <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                    </div>
                                </li>
                            {{/each}}
                        </ol>
                    </div>
                    <div class="talent-container">
                        <h2 class="headerWithButton">
                            <button type="button" class="item-create" id="talent">+</button>
                            <label>Compétences</label>
                        </h2>
                        <ol class="single-column-list">
                            {{#each actor.data.talent as |item id|}}
                                <li class="item" data-item-id="{{item._id}}">
                                    <div class="itemInfo">
                                        <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                        <div class="item-name">{{item.name}}</div>
                                    </div>
                                    <div class="item-controls">
                                        <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                    </div>
                                </li>
                            {{/each}}
                        </ol>
                    </div>
                </div>
            </div>

        </section>
    </div>
</form>

